AccountBase
- addressType:requiredProperties: 6
Postal address. Text is trimmed, and state and country codes are returned in uppercase.
- createdType: stringFormat: date-time
_at requiredthe date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z
- idType: stringrequired
- nameType: stringrequired
- typeType: enumrequiredvaluespsppartnermerchant
- availableType: array of string
_processor _configs - Properties: 12availableType: array of ProcessorConfigSummarynullable
_processors - Properties: 21childrenType: array of AccountBase
- deletedType: stringFormat: date-timenullable
_at the date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z
- descriptionType: string
- mccType: string | null
Merchant accounts only.
- parentType: array of string
_account _ids - statusType: enumvaluesactiveinactiveblocked
- surchargeType: enumnullable
_basis Merchant accounts only.
valuestotalsubtotalsubtotal_plus_taxsubtotal_plus_tip - surchargeType: boolean | null
_confirmation _required Merchant accounts only.
- surchargeType: number | null
_rate Merchant accounts only.
- taxType: enumnullable
_basis Merchant accounts only.
valuestotalsubtotal - taxType: string | null
_id Merchant accounts only. Required on merchant creation; omit when creating a partner.
- taxType: number | null
_rate Merchant accounts only.
- transactionType: nullable
_stats Properties: 2Rolling 7-day transaction aggregates: the trailing 7 days (
current) vs the 7 days before that (previous), for trend comparison.Populated only when a list endpoint is called with
with_data=true(GET /v2/accountsandGET /v2/terminals);Noneotherwise. - updatedType: stringFormat: date-timenullable
_at the date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

